Create cohort
curl --request POST \
--url https://api.example.com/api/v1/burn-in/cohorts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/"
payload = [
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
])
};
fetch('https://api.example.com/api/v1/burn-in/cohorts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/"
payload := strings.NewReader("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/cohorts/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
Create cohort
Bulk create cohorts with upsert semantics on cohort_hash. Accepts a list of cohort objects. If a cohort with the same cohort_hash already exists, it will be updated instead of creating a duplicate.
POST
/
api
/
v1
/
burn-in
/
cohorts
/
Create cohort
curl --request POST \
--url https://api.example.com/api/v1/burn-in/cohorts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/"
payload = [
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
])
};
fetch('https://api.example.com/api/v1/burn-in/cohorts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/"
payload := strings.NewReader("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/cohorts/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Multiple values may be separated by commas.
Multiple values may be separated by commas.
Multiple values may be separated by commas.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Source device for pairwise tests (optional)
Destination device for pairwise tests (optional)
List of device UUIDs that are members of this cohort
Maximum array length:
25000